Loading...
Searching...
No Matches
ranges::ref_view< Rng > Struct Template Reference
Views
Inheritance diagram for ranges::ref_view< Rng >:

## Public Member Functions

constexpr Rng & | base () const noexcept
constexpr iterator_t< Rng > | begin () const noexcept(noexcept(ranges::begin(*rng_)))
constexpr auto | data () const noexcept(noexcept(ranges::data(*rng_)))
constexpr auto | empty () const noexcept(noexcept(ranges::empty(*rng_))) -> bool
constexpr sentinel_t< Rng > | end () const noexcept(noexcept(ranges::end(*rng_)))
constexpr | ref_view (Rng &rng) noexcept
constexpr auto | size () const noexcept(noexcept(ranges::size(*rng_)))
Public Member Functions inherited from ranges::view_interface< ref_view< Rng >, range_cardinality< Rng >::value >
constexpr auto | empty () const noexcept -> bool
| Test whether a range can be empty:
&&!detail ::has_fixed_size_< Cardinality > &&forward_range< D< True > const > constexpr bool | empty () const noexcept(noexcept(bool(ranges::begin(std::declval< D< True > const & >())==ranges::end(std::declval< D< True > const & >()))))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

&&Cardinality< 0) &&(Cardinality !=infinite) &&(!forward_range< D< True > >) &&sized_range< D< True > > constexpr bool empty() noexcept(noexcept(bool(ranges::size(std::declval< D< True > & >())==0))) { return ranges::size(derived())==0;} template< bool True=true > &&Cardinality< 0) &&(Cardinality !=infinite) &&(!forward_range< D< True > const >) &&sized_range< D< True > const > constexpr bool empty() const noexcept(noexcept(bool(ranges::size(std::declval< D< True > const & >())==0))) { return ranges::size(derived())==0;} template< bool True=true > &&!detail ::has_fixed_size_< Cardinality > &&forward_range< D< True > > constexpr bool

empty () noexcept(noexcept(bool(ranges::begin(std::declval< D< True > & >())==ranges::end(std::declval< D< True > & >()))))

| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
&&detail::can_empty_< D< True > const > constexpr | operator bool () const noexcept(noexcept(ranges::empty(std::declval< D< True > const & >())))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
&&detail::can_empty_< D< True > > constexpr | operator bool () noexcept(noexcept(ranges::empty(std::declval< D< True > & >())))
view_interface & | operator= (view_interface &&)=default
view_interface & | operator= (view_interface const &)=default
| view_interface (view_interface &&)=default
| view_interface (view_interface const &)=default

## Additional Inherited Members

Protected Types inherited from ranges::view_interface< ref_view< Rng >, range_cardinality< Rng >::value >
using | D = meta::invoke< detail::dependent_< B >, ref_view< Rng > >
Protected Member Functions inherited from ranges::view_interface< ref_view< Rng >, range_cardinality< Rng >::value >
constexpr ref_view< Rng > const & | derived () const noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
constexpr ref_view< Rng > & | derived () noexcept